enum TTS_VAR {
//% block="0"
    0,
    //%block="1"
    1,
    //%block="2"
    2,
    //% block="3"
    3,
    //%block="4"
    4,
    //% block="5"
    5,
    //%block="6"
    6,
    //% block="7"
    7,
    //%block="8"
    8,
    //% block="9"
    9
}

//% color="#0f6cd3" iconWidth=50 iconHeight=40
namespace SNR9816TTS {
    //% block="init tts module[PIN_RX]" blockType="command"
    //% PIN_RX.shadow="dropdown" PIN_RX.options="PIN_RX"
    export function ttsSetup(parameter: any, block: any) {
        let PIN_RX = parameter.PIN_RX.code
       


         if(Generator.board === 'arduino'){//如果是arduinouno板，生成如下代码
     Generator.addSetup("GTSerialSetup",`Serial.begin(115200);`);
}else if(Generator.board === 'esp32'){//如果是掌控板，生成如下代码
    Generator.addInclude('SNR_9816_TTS', '#include <SNR_9816_TTS.h>');
         Generator.addSetup("Serial2Setup",`Serial2.begin(115200 ,-2,${PIN_RX});`);
}
    }

    //% block="语音合成 语调[tts_tone] 语速[tts_speed]音量[tts_volume][VAL]" blockType="command"
    //% tts_tone.shadow="dropdown" tts_tone.options="TTS_VAR" tts_tone.defl="TTS_VAR.5"
    //% tts_speed.shadow="dropdown" tts_speed.options="TTS_VAR" tts_speed.defl="TTS_VAR.5"
    //% tts_volume.shadow="dropdown" tts_volume.options="TTS_VAR" tts_volume.defl="TTS_VAR.5"
    //% VAL.shadow="string" VAL.defl=你好
    export function tts(parameter: any, block: any) {
        let tts_tone = parameter.tts_tone.code;
        let tts_speed = parameter.tts_speed.code;
        let tts_volume = parameter.tts_volume.code;
        let str = parameter.VAL.code;
        str=str.substring(1);
        let new_str="\"[t"+tts_tone.toString()+"][s"+tts_speed.toString()+"][v"+tts_volume.toString()+"]"+str;
        Generator.addCode(`TTS(${new_str});`);
    }
}
